#!/bin/sh

# clone the repo
git clone https://github.com/sumneko/lua-language-server.git
cd lua-language-server || exit
git submodule update --init --recursive

# build
# You need `ninja`
cd 3rd/luamake || exit
ninja -f ninja/linux.ninja
cd ../..
./3rd/luamake/luamake rebuild

cd ../

# For coc.nvim
mkdir -pv ~/.local/share/nvim/lsp
cp -rfv lua-language-server ~/.local/share/nvim/lsp/
# For Doom Emacs
mkdir -pv ~/.config/emacs/.local/etc/lsp
mv -rv lua-language-server ~/.config/emacs/.local/etc/lsp/
